## linux-firmware 1.79.18

=== debian/changelog ===
linux-firmware (1.79.18) precise; urgency=medium

  * Update Intel Bluetooth devices firmware patch files
    This patch updates firmware patch files for following Intel Bluetooth devices:
    - Intel Wireless Bluetooth 7260
    - Intel Wireless Bluetooth 3160
    This patch fixes
    - sometimes device doesn't response to HCI_reset after multiple reboot
    - issue with HCI stress testing
    - issue with some multi profile cases
    -LP: #1310558

  * Update Intel BT devices firmware patch files (7260/3160)
    This patch updates firmware patch files for following Intel Bluetooth Devices:
    - Intel Wireless Bluetooth 7260
    - Intel Wireless Bluetooth 3160
    This firmwares fixes
    - No SCO data over EHCI
    -LP: #1310558

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 30 Sep 2014 06:08:43 -0600

linux-firmware (1.79.17) precise; urgency=medium

  * rtlwifi: Add new firmware files for rtl8188eu
    rtlwifi/rtl8188ee: Add firmware for new driver 
    These 2 new files are in support of the LTS Trusty kernel.
    -LP: #1368301

  * Remove LICENSE.amd-ucode
    Missed it when removing amd64-microcode for licensing reasons.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 11 Sep 2014 09:46:55 -0600

linux-firmware (1.79.16) precise; urgency=medium

  * Remove amd64-microcode for licensing reasons.
    The amd64 microcode is not suitable for packaging in main since
    the license does not allow modification or disassembly. Install
    the multiverse package amd64-microcode instead which also contains
    initramfs hooks.
    -LP: #1181145

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 25 Jun 2014 09:29:22 -0600

linux-firmware (1.79.15) precise; urgency=medium

  * Remove aic94xx-seq.fw and license. It has been pointed out
    that this firmware is likely not redistributable.
    -LP: #1101636

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 06 Jun 2014 13:42:08 -0600

linux-firmware (1.79.14) precise; urgency=medium

  * Remove iwlwifi-7260-8.ucode for regression
    The -8 API appears to cause regression on Haswell.
    -LP: #1293569

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 05 May 2014 14:46:02 -0600

linux-firmware (1.79.13) precise; urgency=medium

  * Add firmware file to support Intel 7265 (Stone Peak) for linux v3.13+ (linux-lts-trusty)
    http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
    -LP: #1188092

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 28 Apr 2014 11:36:02 -0600

linux-firmware (1.79.12) precise; urgency=low

  * Update firmware for 7260 / 3160 devices (Wilkins Peak)
    https://bugs.launchpad.net/intel/+bug/1265436/comments/13
    Quote from the release note:
      "This firmware is supported starting 3.13 kernel.
      We have a here quite a few bug fixes with a few new features.
      Most of the improvements concern P2P client and GO modes."
    This does update existing firmware files, but they are only used by
    linux 3.13+ (Trusty LTS) which has yet to be released.
    -LP: #1265436

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 05 Mar 2014 08:52:48 -0700

linux-firmware (1.79.11) precise; urgency=low

  * iwlwifi: add firmware for 7260 / 3160 devices
    Support for linux v3.13
    -LP: #1271257
  * radeon: Add GPU firmware files to support linux 3.2 through 3.13
    Updates to ARUBA_rlc.bin, CAYMAN_rlc.bin, R700_rlc.bin, and SUMO_rlc.bin
    -LP: #1271253

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 21 Jan 2014 10:53:05 -0700

linux-firmware (1.79.10) precise; urgency=low

  * iwlwifi: add firmware for 7260 / 3160 devices 
    Support for linux v3.10+
    -LP: #1265550
  * linux-firmware: Add Brocade FC/FCOE Adapter firmware files
    linux-firmware: 3.2.3.0 Firmware for Brocade Adapters
    Support for linux v3.10+
    -LP: #1265551

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 02 Jan 2014 08:23:19 -0700

linux-firmware (1.79.9) precise; urgency=low

  * Add Intel bluetooth files
    linux-firmware: Add firmware patch file for Intel Bluetooth device(3160)
    linux-firmware: update Intel Bluetooth firmware patch file
    Add Intel Bluetooth firmware patch files
    -LP: #1011423

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 21 Nov 2013 09:41:21 -0700

linux-firmware (1.79.8) precise-proposed; urgency=low

  * Add firmware files for QCA9564(Aphrodite)
    -LP: #1245345 

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 28 Oct 2013 13:09:54 -0600

linux-firmware (1.79.7) precise-proposed; urgency=low

  * rtlwifi: rtl8192ce: rtl8192se: rtl8192de: Update to rtl_92ce_92se_92de_linux_mac80211_0004.0816.2011 driver
    Upstream cherry-pick e0836e6ec3568f54b7fac24b9e17bbe8c46eb508
    Adds new firmware files rtlwifi/rtl8192cfwU.bin and rtlwifi/rtl8192cfwU_B.bin in support of linux v3.2
    Updates for rtl8192se and rtl8192de
    -LP: #1239414

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 15 Oct 2013 09:05:29 -0600

linux-firmware (1.79.6) precise-proposed; urgency=low

  * 31f6b3076bab3c4b65f67fdb232f4579ed828b4f linux-firmware: Update AMD microcode patch firmware files
    This AMD ucode fixes some severe lockup issues on AMD family
    15h CPUs when under high load. The fix for erratum #759 being
    the most severe.
    - LP: #1200533

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 12 Jul 2013 08:04:42 -0600

linux-firmware (1.79.5) precise-proposed; urgency=low

  * UBUNTU: Update asihpi firmware. The original firmware files were
    simply non-functional.
    -LP: #1122377
  * rtlwifi/rtl8723e: Add firmware for new driver in LTS kernels,
    Raring and newer.
    -LP: #1187688

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 11 Jul 2013 06:34:58 -0600

linux-firmware (1.79.4) precise-proposed; urgency=low

  * Add rt2x00 firmware file rt3290.bin
    -LP: #1049466

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 19 Apr 2013 13:31:28 -0600

linux-firmware (1.79.3) precise-proposed; urgency=low

  * Add AMD microcode.


## linux-firmware 1.95

=== debian/changelog ===
linux-firmware (1.95) quantal-proposed; urgency=low

  * rtlwifi/rtl8712u Revert firmware
    Although the newest firmware for the RTL8192SU, which is found in vendor
    driver rtl8188C_8192C_8192D_usb_linux_v3.4.2_3727.20120404, works with most
    devices, it causes drops of the wireless connection for the ASUS WL-167G V3
    (USB ID 0b05:1791), the D-Link DWA131 (07d1:3303), and probably others.
    Tests show that the firmware from vendor driver
    rtl8712_8188_8191_8192SU_usb_linux_v7_0.20100831 works better.
    This commerts reverts to that older firmware.
    -LP: #1062827

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 12 Oct 2012 07:43:13 -0600

linux-firmware (1.94) quantal-proposed; urgency=low

  * Added iwlwifi-6000g2a-6.ucode to nic-firmware.lst
    Stops the d-i installer from nagging about missing firmware.
    -LP: #1055735

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 24 Sep 2012 13:43:06 -0600

linux-firmware (1.93) quantal; urgency=low

  * revert 'UBUNTU: Remove obsolete cx2341x firmware'
    -LP: #1052580

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 18 Sep 2012 19:25:44 -0400

linux-firmware (1.92) quantal; urgency=low

  * Add zd1201.fw and zd1211/* to nic-firmware.lst
    -LP: #1047092

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 14 Sep 2012 06:22:04 -0700

linux-firmware (1.91) quantal; urgency=low

  * ti-connectivity: Restore nvs firmware
    The kernel neglected to declare its use of the nvs files
    via the MODULE_FIRMWARE statement.
    -LP: #1042918

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 29 Aug 2012 08:54:01 -0600

linux-firmware (1.90) quantal; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git bbede96f3d68ac056ae5d9f6ac56819b6462f4f5 
    iwlwifi: update firmware for 6205
    -LP: #1039856

  * Revert "Revert "UBUNTU: Remove obsolete ti-connectivity firmware""
    The ti-omap4 kernel is now based on 3.5, so dropping obsolete firmware
    files should be OK.

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 22 Aug 2012 07:28:00 -0600

linux-firmware (1.89) quantal; urgency=low

  * Revert "UBUNTU: Remove obsolete ti-connectivity firmware"
    This firmware is still in use by the 3.4 kernel in ti-omap4.
    -LP: #1032779
  * UBUNTU: Remove duplicate qlogic firmware 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 15 Aug 2012 08:58:30 -0600

linux-firmware (1.88) quantal; urgency=low

  * Remove boot essential duplicated firmware files that
    are also carried in the linux-image package.
    UBUNTU: Remove duplicate tigon firmware
    UBUNTU: Remove duplicate bnx2x firmware
    UBUNTU: Remove duplicate bnx2 firmware
    UBUNTU: Remove duplicate e100 firmware

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 03 Aug 2012 12:22:11 -0600

linux-firmware (1.87) quantal; urgency=low

  * Remove obsolete firmware files:
    UBUNTU: Remove obsolete 3com firmware
    UBUNTU: Remove obsolete ath3k firmware
    UBUNTU: Remove obsolete ar7010 firmware
    UBUNTU: Remove obsolete ar9170 firmware
    UBUNTU: Remove obsolete asihpi firmware
    UBUNTU: Remove obsolete bnx2x firmware
    UBUNTU: Remove obsolete bnx2 firmware
    UBUNTU: Remove obsolete brcm firmware
    UBUNTU: Remove obsolete cxgb firmware
    UBUNTU: Remove obsolete dabusb firmware
    UBUNTU: Remove obsolete Computone firmware
    UBUNTU: Remove obsolete libertas firmware
    UBUNTU: Remove obsolete mwl8k firmware
    UBUNTU: Remove obsolete myricom firmware
    UBUNTU: Remove obsolete rt2x00 firmware
    UBUNTU: Remove obsolete RTL8192SE firmware
    UBUNTU: Remove obsolete sxg firmware
    UBUNTU: Remove obsolete tda1004x firmware
    UBUNTU: Remove obsolete ti-connectivity firmware
    UBUNTU: Remove obsolete tr_smctr firmware
    UBUNTU: Remove obsolete ueagle-atm firmware
    UBUNTU: Remove obsolete zd1211 firmware

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 Jul 2012 14:46:20 -0600

linux-firmware (1.86) quantal; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 7560108a2c94a62056fa82d912282b901aa0904f
    Add syscfg (different frequency) and patch for AR3002 2.2.1.
    brcm: add bcm4334 firmware for brcmfmac
    r8712u: Update to latest firmware
    rtl_nic: update firmware for RTL8168G
    Add syscfg and patch files for AR3002 2.2.1 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 24 Jul 2012 10:02:29 -0600

linux-firmware (1.85) quantal; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git f1f86bbaa02cc499ce625c93d8fad2055a0dd733
    rtl_nic: add new firmware for RTL8168G
    rtl_nic: add new firmware for RTL8106E
    rtl_nic: update firmware for RTL8411
    rtl_nic: update firmware for RTL8168F
    ar3k: add patch and sysconfig for Qualcomm Atheros AR9462 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 18 Jul 2012 13:27:03 -0600

linux-firmware (1.84) quantal; urgency=low

  * Add tigon/tg3_tso.bin to nic-firmware.lst
    - LP: #1021747 

 -- Leann Ogasawara <leann.ogasawara@canonical.com>  Fri, 13 Jul 2012 07:15:27 -0700

linux-firmware (1.83) quantal; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git e0836e6ec3568f54b7fac24b9e17bbe8c46eb508
    rtlwifi: rtl8192ce: rtl8192se: rtl8192de: Update to rtl_92ce_92se_92de_linux_mac80211_0004.0816.2011 driver
    WHENCE: Move version strings from Info to Version fields
    WHENCE: Move informational text from File to Info fields
    wl18xx: add firmware for WiLink8 WLAN chips
    wl127x/wl128x: add new firmware series as version 5

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 09 Jul 2012 09:08:34 -0600

linux-firmware (1.82) quantal; urgency=low

  * Update bnx2 firmware list to 3.5-rc3 MODULE_FIRMWARE() list 
    -LP: #1016444
  * Update bnx2x firmware list to 3.5-rc3 MODULE_FIRMWARE() list 


## linux-firmware 1.95.1

=== debian/changelog ===
linux-firmware (1.95.1) quantal-proposed; urgency=low

  * Add AMD microcode.
    -LP: #1068299 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 06 Feb 2013 06:07:24 -0700

## linux-firmware 1.102

=== debian/changelog ===
linux-firmware (1.102) raring; urgency=low

  * Updated asihpi firmware from http://www.audioscience.com/internet/download/drivers/released/v4/08/00/hpklinux-4.08.00.tar.bz2
    -LP: #1122377

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 12 Feb 2013 05:47:25 -0700

linux-firmware (1.101) raring; urgency=low

  * Add Conflicts/Replaces/Provides amd64-microcode
    -LP: #1112423

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 06 Feb 2013 05:48:44 -0700

linux-firmware (1.100) raring; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 65a5163b8bb77bd7759efa3ca780867fcaed89b0
    carl9170: Install binary in the parent directory, not /lib/firmware
    carl9170: Add checksum during installation, as preferred by the driver
    carl9170: Add and check SHA-256 sums for the toolchain tarballs
    carl9170: Fix minimum CMake version
    carl9170: Add full licence texts to BSD-licenced CMake files

  * Add AMD microcode.
    -LP: #1068299

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 29 Jan 2013 10:46:44 -0700

linux-firmware (1.99) raring; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 8cf14f0acad3c3d361c324474e889dc4ad939709
    qla2xxx: Update qla2xxx firmware FTP site in WHENCE file.
    qla2xxx: Update ql2500_fw.bin to version 5.08.00.
    qla2xxx: Update ql2400_fw.bin to version 5.08.00.

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 04 Jan 2013 08:20:54 -0700

linux-firmware (1.98) raring; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git bda53ca96deb3cacbef10a7a84bbaee2d09c7f34
    brcm: new firmware version for brcmsmac
    linux-firmware: add Marvell USB8797-B0 firmware image
    s5p-mfc: Adding firmware files for Samsung MFC device driver
    ar5523: Add firmware for new driver
    Update patch and syscfg files for QCA9564.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 03 Dec 2012 09:07:31 -0700

linux-firmware (1.97) raring; urgency=low

  * Remove conflicting firmware files in favor of atmel-firmware
    atmel_at76c502.bin
    atmel_at76c502_3com.bin
    atmel_at76c502d.bin
    atmel_at76c502e.bin
    atmel_at76c504.bin
    atmel_at76c506.bin 
    -LP: #1069325

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 09 Nov 2012 12:08:24 -0700

linux-firmware (1.96) raring; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git fae71211eb70eb4d50de72a9dd70ece21905af57
    rtl_nic: update firmware for RTL8168G
    cxgb4: update firmware to revision 1.6.2.0
    bnx2x: update fw to 7.8.2
    Update rampatch file for AR9462.
    netxen_nic: Update QLogic phanfw.bin to version 4.0.588 Signed-
    rtlwifi/rtl8723e: Add firmware for new driver
    linux-firmware: ath6k: add firmware for AR6004 hw1.3
    Marvell SD8787: update to v14.66.9.p96
    Marvell SD8686: update to v9.70.20.p0

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 08 Nov 2012 10:19:34 -0700

## linux-firmware 1.103

=== debian/changelog ===
linux-firmware (1.103) raring; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git f87c5b8dd547bcb434d5296ead3748241810c1d8
    linux-firmware: update Marvell SD8797-B0 firmware image
    linux-firmware: add Marvell SD8797-B0 firmware image
      -LP: #1128810
    rtl_nic: update firmware for RTL8168G
    Move sd8688*.bin images into mrvl/ tree
    rtlwifi/rtl8188ee: Add firmware for new driver
    Revert "carl9170: Add checksum during installation, as preferred by the driver"

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 18 Feb 2013 07:05:35 -0700

## linux-firmware 1.106

=== debian/changelog ===
linux-firmware (1.106) raring; urgency=low

  * Restore rt3290.bin. It was originally removed as it was thought
    superfluous (by mistake).
    - LP: #1049466 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 18 Apr 2013 06:27:19 -0600

linux-firmware (1.105) raring; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git b584174fb7ca76645f9187d7f710c3d913529093
    netxen_nic: Add FTP location of phanfw.bin in WHENCE file
    netxen_nic: Update QLogic phanfw.bin to version 4.0.590
    linux-firmware: Add firmware for mwl8k 8764 chip
    tg3: Add EEE support firmware for 57766 cards
    bnx2x: update fw to 7.8.17

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 10 Apr 2013 07:30:18 -0600

linux-firmware (1.104) raring; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git c11f374afdd2a3ff0665c1cb0aab4ad0c6573ec7
    cx231xx/cx23885: Remove incorrect Conexant CX23885 firmware
    linux-firmware: Increment ap firmware API for mwl8k 8366 chip

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 10 Mar 2013 06:38:25 -0600

## linux-firmware 1.116

=== debian/changelog ===
linux-firmware (1.116) saucy; urgency=low

  * UBUNTU: SAUCE: ath10k: Add firmware
    Pulled from https://github.com/kvalo/ath10k until it
    appears upstream. (LP: #1232990) 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 01 Oct 2013 11:58:09 -0600

linux-firmware (1.115) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git b8ac7c7e27dcd13fa3c843aaf62457e9c57ea4db
    linux-firmware: Add Brocade FC/FCOE Adapter firmware files
    radeon: add ucode for KAVERI GPUs (LP: #1218691)
    radeon: add smc ucode for BONAIRE
    linux-firmware: Add firmware patch file for Intel Bluetooth device(3160)
    linux-firmware: add version information for Intel Bluetooth firmware
    cw1200: Add SDD file for the Sagrad SG901-1091/1098 WLAN modules.
    moxa: Fix firmware file names.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 30 Sep 2013 08:33:18 -0600

linux-firmware (1.114) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 3fe01af27849c45c36c4c88eab8e24ddfeae307e
    Fix filename for Intel Bluetooth firmware
    linux-firmware: update Intel Bluetooth firmware patch file
    -LP: #1011423

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 12 Sep 2013 13:36:30 +0000

linux-firmware (1.113) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 931e4469dc254df66a2c990ff1a8723685759eb4
    radeon: add ucode for KABINI GPUs
    radeon: add ucode for BONAIRE GPUs
    radeon: add smc ucode for radeon GPUs

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 04 Aug 2013 05:47:09 -0600

linux-firmware (1.112) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 31f6b3076bab3c4b65f67fdb232f4579ed828b4f
    linux-firmware: Update AMD microcode patch firmware files
      This AMD ucode fixes some severe lockup issues on AMD family 15h CPUs when under high load.
      The fix for erratum #759 being the most severe.
    rtl_nic: add firmware rtl8411-2
    ar3k: add Bluetooth support for QCA98XX/QCA24XX 
    - LP: #1200533

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 12 Jul 2013 06:35:00 -0600

linux-firmware (1.111) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git e982abf07f7986ca42b8cfdeb3374d009c18902a
    iwlwifi: add firmware for 7260 / 3160 devices

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 10 Jul 2013 08:59:20 -0600

linux-firmware (1.110) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 2892af06dc38a764938f0583a2eac30595108799
    List symlinks consistently in WHENCE
    Add symlinks for old go7007 firmware filenames
    Add go7007 firmware. 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 27 Jun 2013 12:22:17 -0600

linux-firmware (1.109) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 94f39039688a53491f10130ac22dadb07e809764
    rp2: Initial commit of Comtrol RocketPort 2 microcode
    Merge branch 'master' of git://git.marvell.com/mwifiex-firmware
    radeon: add ucode for SUN/HAINAN GPUs
    linux-firmware: Add firmware files for mtk mt7630/mt7650 chipsets
    linux-firmware: add Marvell PCIe8897-B0 WLAN firmware image

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 28 May 2013 12:55:13 -0600

linux-firmware (1.108) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 07ea598af5b9dde3acdf279846b062fa1b2987b8
    rtl_nic: add firmware rtl8106e-2
    rtl_nic: Add firmware rtl8168g-3
    wl18xx: add default configuration binary
    wl18xx: add version 2 of the wl18xx firmware
    wl127x/wl128x: update firmwares

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 06 May 2013 08:56:31 -0600

linux-firmware (1.107) saucy; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 120a97ff309b6a20812f13d0f9da231eacc3311a
    Add Intel Bluetooth firmware patch files
    Fix formatting of LICENCE.ca0132
    radeon: add updated ucode for UVD
    radeon: add ucode for OLAND GPUs
    linux-firmware: Add firmware files for Creative CA0132 HD-audio codec

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 02 May 2013 18:24:45 -0400

## linux-firmware 1.116.2

=== debian/changelog ===
linux-firmware (1.116.2) saucy; urgency=medium

  * iwlwifi: update firmware for 7260 / 3160 devices 
    Add iwlwifi-7260-8.ucode and iwlwifi-3160-8.ucode
    -LP: #1274622

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 31 Jan 2014 12:47:49 +0000

linux-firmware (1.116.1) saucy; urgency=low

  * iwlwifi: update firmware for 7260 / 3160 devices
    22.0.7.0 --> 22.1.7.0
    -LP: #1265436

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 03 Jan 2014 12:47:22 -0700

## linux-firmware 1.127

=== debian/changelog ===
linux-firmware (1.127) trusty; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git dec41bce44e0dff6a2c3358a958fadf22bf58858
    brcm: add firmware for the BCM43362 WLAN device
    iwlwifi: update firmware for 7260 / 3160 devices
      (official upstream patch, replaces patch from 1.126)
    WHENCE: Fix oddly capitalised instances of 'File'

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 17 Mar 2014 08:34:55 -0600

linux-firmware (1.126) trusty; urgency=low

  * Update firmware for 7260 / 3160 devices (Wilkins Peak)
    https://bugs.launchpad.net/intel/+bug/1265436/comments/13
    Quote from the release note:
      "This firmware is supported starting 3.13 kernel.
      We have a here quite a few bug fixes with a few new features.
      Most of the improvements concern P2P client and GO modes."
    -LP: #1265436

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 05 Mar 2014 08:34:45 -0700

linux-firmware (1.125) trusty; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 343e46092a2b9c2ee24b88e66155226798bbec3f
    wl18xx: add version 3 of the wl18xx firmware

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 19 Feb 2014 12:36:22 -0700

linux-firmware (1.124) trusty; urgency=low

  * Hmm, somehow managed to trash 1.123 that was already in the git repo and in the archive, but no big
    deal since this is a straightforward rebase against upstream. No bits were lost in the making
    of this package.

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 11 Feb 2014 07:28:26 -0700

linux-firmware (1.123) trusty; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 4164c23d2e3b4863ca42d72f40dc7cc5d9fb8c6c
    rtlwifi: Add firmware for rtl8192ee
    myri10ge: update firmware to 1.4.57
    bnx2x: Update to FW 7.8.19
    Remove executable permissions from firmware files
    rtlwifi: Add firmware for rtl8821ae 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 11 Feb 2014 06:45:53 -0700

linux-firmware (1.122) trusty; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 418320bd8b4243e51fe1cae8fa05ba2bfe290111
    radeon: add ucode for HAWAII GPUs
    rtlwifi: Add firmware for r8723au
    iwlwifi: update firmware for 7260 / 3160 devices (replace cherry-pick from v1.119)

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 21 Jan 2014 08:17:02 -0700

linux-firmware (1.121) trusty; urgency=low

  * Forgot to remove aic94xx from debian/scsi-firmware.lst
    Fixes FTBS 

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 10 Jan 2014 14:09:21 -0700

linux-firmware (1.120) trusty; urgency=low

  * Remove aic94xx-seq.fw and license. It has been pointed out
    that this firmware is likely not redistributable.
    -LP: #1101636

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 10 Jan 2014 13:47:41 -0700

linux-firmware (1.119) trusty; urgency=low

  * iwlwifi: update firmware for 7260 / 3160 devices
    version: 22.15.8.0
    Supported by kernel 3.13 and up. 
    cherry-picked from git://git.kernel.org/pub/scm/linux/kernel/git/egrumbach/linux-firmware
    http://www.spinics.net/lists/linux-wireless/msg116615.html
    -LP: #1265436

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 03 Jan 2014 10:35:23 -0700

linux-firmware (1.118) trusty; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 52d77db9f133afe4d2b26aeccfd603745f45fda1
    iwlwifi: update firmware for 7260 / 3160 devices
    linux-firmware: 3.2.3.0 Firmware for Brocade Adapters
    cxgb4: Updated T4 firmware, add T5 firmware
    qla2xxx: Update ql2{4,5}00_fw.bin to version 7.01.00
    linux-firmware: Update Intel Bluetooth devices firmware patch files
    firmware: cw1200: Add firmware for the ST-E CW1200 WLAN chipset.
    emi62: Provide the correct bitstream
    linux-firmware: add Marvell SD8897-B0 firmware combo image
    linux-firmware: update Marvell PCIe/USB 8897-B0 firmware combo image 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 02 Jan 2014 07:55:19 -0700

linux-firmware (1.117) trusty; urgency=low

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 7d0c7a8cfd78388d90cc784a185b19dcbdbce824
    rtlwifi: Add new firmware files for rtl8188eu
    rtlwifi: Add new firmware files for rtl8192cu
    brcm: add firmware file for the BCM4335 SDIO chipset
    brcm: add firmware for newer version of BCM43241 SDIO chipset
    brcm: add firmware file for BCM43241 SDIO chipset
    brcm: rename firmware names expressing host interface type
    ti-connectivity: add wl1251 firmware and license

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 21 Oct 2013 13:06:16 -0600

=== debian/control ===
Source: linux-firmware
Section: misc
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.0.0), rsync, gcc
Vcs-Git: git://kernel.ubuntu.com/ubuntu/linux-firmware.git

Package: linux-firmware
Architecture: all
Multi-Arch: foreign
Priority: optional
Provides: atmel-firmware, amd64-microcode
Conflicts: atmel-firmware, amd64-microcode
Replaces: atmel-firmware, linux-restricted-common, amd64-microcode
Description: Firmware for Linux kernel drivers
 This package provides firmware used by Linux kernel drivers.

Package: nic-firmware
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Description: Firmware for NICs
 This package contains firmware needed by some network controllers.

Package: scsi-firmware
XC-Package-Type: udeb
Architecture: all
Section: debian-installer
Description: Firmware for SCSI controllers
 This package contains firmware needed by some scsi controllers.

## linux-firmware 1.127.6stella1

=== debian/changelog ===
linux-firmware (1.127.6stella1) trusty; urgency=medium

  * Add ibt-hw-37.7.10-fw-1.0.1.2d.d.bseq for Intel WP1 (3260) Bluetooth 
    -LP: #1365379

 -- Franz Hsieh (Franz) <franz.hsieh@canonical.com>  Mon, 22 Sep 2014 11:32:22 +0800

linux-firmware (1.127.6) trusty; urgency=medium

  * linux-firmware: Updated firmware patch for Intel Bluetooth 7265
    linux-firmware: Update firmware patch for Intel BT 7265 
    -LP: #1368011

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 11 Sep 2014 06:08:35 -0600

linux-firmware (1.127.5) trusty; urgency=medium

  * Restore iwlwifi-7260-8.ucode. Testing in http://bugs.launchpad.net/bugs/1293569
    comment #67 indicates that the addition of kernel patch 'iwlwifi: mvm: disable
    beacon filtering' is sufficient to re-enable this version of the ucode.
    -LP: #1293569

 -- Tim Gardner <tim.gardner@canonical.com>  Sat, 12 Jul 2014 07:47:54 +0100

linux-firmware (1.127.4) trusty; urgency=medium

  * Remove amd64-microcode for licensing reasons.
    The amd64 microcode is not suitable for packaging in main since
    the license does not allow modification or disassembly. Install
    the multiverse package amd64-microcode instead which also contains
    initramfs hooks.
    -LP: #1181145

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 25 Jun 2014 08:56:48 -0600

linux-firmware (1.127.3) trusty; urgency=medium

  * Update firmware files to support Utopic LTS kernel (3.15 so far) 
    Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git a4f3bc03f1e7b1f25cc52328981c2a35871e55a1
    README: Update the submission address to linux-firmware@kernel.org
    firmware: Added fw for qat_dh895xxcc hw crypto accelerator
    s5p-mfc: Adding MFC v7 and v8 firmwares
    s5p-mfc: Add s5p-mfc-v6-v2 firmware
    radeon: add firmware for Mullins/Beema GPUs
    radeon: add mc2 firmware for SI/CI GPUs
    rtlwifi: rtl8723be: Add firmware
    brcm: add firmware for BCM4354 2x2 11ac SDIO device
    brcm: add firmware for BCM43143 2.4G 11n SDIO device
    brcm: add firmware for BCM43143 2.4G 11n USB device
    radeon: add vce ucode for CIK GPUs
    linux-firmware: Add firmware patch file for Intel Bluetooth 7260 ROM-spin
    Adding RSI 91x firmware.
    iwlwifi: add new firmware for 3160 / 7260 / 7265
    iwlwifi: update firmware for 3160 / 7260 / 7265
    iwlwifi: add firmware for 7265
    -LP: #1329375
  * linux-firmware: Add firmware patch file for Intel Bluetooth Device (7265)
    -LP: #1329184
  * firmware: update Intel Bluetooth device firmware patch files
    linux-firmware: Update Intel BT devices firmware patch files (7260/3160)
    These patches update firmware patch files for following Intel Bluetooth Devices:
    - Intel Wireless Bluetooth 7260
    - Intel Wireless Bluetooth 3160
    This firmwares fixes
    - No SCO data over EHCI
    - Issue with LED blinking
    - Issue with USB
    -LP: #1329382

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 12 Jun 2014 09:52:47 -0600

linux-firmware (1.127.2) trusty; urgency=medium

  * UBUNTU: Remove iwlwifi-7260-8.ucode for regression
    -LP: #1293569

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 05 May 2014 15:00:39 -0600

linux-firmware (1.127.1) trusty; urgency=medium

  * Add firmware file to support Intel 7265 (Stone Peak) for linux v3.13+
    http://wireless.kernel.org/en/users/Drivers/iwlwifi?action=AttachFile&do=get&target=iwlwifi-7265-ucode-22.24.8.0.tgz
    -LP: #1188092

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 28 Apr 2014 11:30:09 -0600

## linux-firmware 1.127.22

=== debian/changelog ===
linux-firmware (1.127.22) trusty; urgency=medium

  * UBUNTU: SAUCE: Restore ti-connectivity/wl18xx-conf.bin
    -LP: #1562135

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 25 Mar 2016 14:52:57 -0500

linux-firmware (1.127.21) trusty; urgency=medium

  * Updates for lts-xenial.
    UBUNTU: Add script to identify candidate firmware for lts backport updates
    wl18xx: add version 4 of the wl18xx firmware
    fw_sst_0f28: Add firmware for Intel Baytrail SST DSP
    as102: add firmware for Abilis Systems Single DVB-T Receiver
    Update firmware for rtl8821ae
    IntcSST2: Add firmware for Intel Broadwell SST DSP
    linux-firmware: add sst audio firmware for baytrail platforms
    linux-firmware: update firmware for Intel Broadwell SST DSP
    linux-firmware: add sst audio firmware for braswell platforms
    linux-firmware: add Marvell SD/USB8801 B0 firmware images
    linux-firmware: Add QLogic BR Series Adapter Firmware
    Add v1.4.0 firmware for ath9k_htc.
    ath10k: add firmware 10.2.4.45 as firmware-4.bin
    brcm: add firmware for BCM43455 SDIO device
    brcm: add firmware for BCM43340/1 SDIO devices
    brcm: add firmware for BCM4324(1) B5 chipset
    linux-firmware: Add Realtek Bluetooth HCD firmware
    wl18xx: update firmware file, remove conf file
    linux-firmware: Add i915 GuC firmware
    linux-firmware: Add i915 DMC firmware for Broxton
    radeon: add firmware for VCE1.0 hardware
    cxgb4: Add BT adapter PHY firmware
    linux-firmware: update audio firmware for Braswell platform
    Add firmware for Cavium LiquidIO 210NV, 210SV, and 410NV cards
    bnx2x: Update to FW version 7.12.30
    rtl_bt: correct RTL8723A firmware file
    linux-firmware: Update to QAT dh895xxcc UOF firmware and a new QAT MMP FW
    linux-firmware: wilc1000: add firmware for wilc1000 802.11n driver
    cxgb4: update firmware to revision 1.14.4.0
    linux-firmware: New minor DMC release for Broxton - ver1_05
    linux-firmware: New major GuC release for Skylake.
    linux-firmware: Add Intel OPA hfi1 firmware
    ar3k: add to support AR3012 v2.1 firmware
    amdgpu: add firmware for VI asics
    linux-firmware: New minor DMC release for Broxton - ver1_06
    linux-firmware: Add qmss accumulator pdsp firmware for keystone SoCs
    linux-firmware: Add firmware patch for Intel Bluetooth 7265 (D1)
    ath10k: QCA988X hw2.0: add firmware 10.2.4.70.9-2
    ath10k: QCA6174 hw2.1: add firmware WLAN.RM.1.1-00141 and board.bin
    ath10k: QCA6174 hw3.0: add WLAN.RM.2.0-00180-QCARMSWPZ-1
    ath10k: QCA99X0 hw2.0: add firmware 10.4.1.00030-1 and board.bin
    brcm: adding firmware for BCM4350 PCIe device
    linux-firmware: add Skylake audio firmware
    remove executable bit from some firmware
    radeon/amdgpu: update to latest firmware
    qed: Add FW 8.4.2.0.
    iwlwifi: add new -16 firmware for iwlmvm devices
    fix permissions on qed_init_values_zipped-8.4.2.0.bin
    brcm: add initial firmware for bcm4371 11ac wifi device
    Add firmware for mt7601u. version 34.
    Update Intel OPA hfi1 firmware
    moxa: Add firmware for Moxa 11x0 USB Serial devices
    linux-firmware: Update Skylake audio firmware
    linux-firmware: add fw for new qat devices
    add a symlink from qat_mmp.bin to its new file name
    fix permissions on brcm/brcmfmac4371-pcie.bin
    qed: Add firmware 8.7.3.0.
    linux-firmware: Update firmware patch for Intel Bluetooth 7265 (D1)
    brcm: add firmware for bcm4366 device
    linux-firmware: intel: add symbolic link and file versions
    linux-firmware: intel: Update Skylake audio firmware
    linux-firmware: New minor DMC release for Skylake - ver1_26
    linux-firmware: Add AR3012 firmware
    -LP: #1552155

  * Update nic-firmware.lst and scsi-firmware.lst
    UBUNTU: Add script to help ease updating udeb lists
    UBUNTU: Update nic-firmware.lst and scsi-firmware.lst based on kernel udebs
    -LP: #1558135

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 21 Mar 2016 07:55:28 -0500

linux-firmware (1.127.20) trusty; urgency=medium

  * UBUNTU: Added ql2500_fw.bin to scsi-firmware.lst
    -LP: #1528688

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 06 Jan 2016 09:53:35 -0600

linux-firmware (1.127.19) trusty; urgency=medium

  * Add firmware for Broadcom BCM4356 wireless
    brcm: add firmware for BCM4356 PCIe device
    brcm: update firmware for the BCM4356 PCIe device
    -LP: #1517726

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 20 Nov 2015 10:11:41 -0600

linux-firmware (1.127.18) trusty; urgency=medium

  * Add support for Atheros Communications, Inc. [0cf3:e300] bluetooth
    adapter
     qca: add BT firmware files to support QCA ROME chips
    -LP: #1477872

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 02 Nov 2015 12:01:26 -0600

linux-firmware (1.127.17) trusty; urgency=medium

  * Update i915 Skylake firmware to version 1.23
    linux-firmware: New minor DMC release for Skylake - ver1_22
    linux-firmware: Clean up i915 by removing old skl dmc firmware.
    linux-firmware: New minor DMC release for Skylake - ver1_23
    linux-firmware/i915: Removing old Skylake DMC
    -LP: #1509103

 -- Seth Forshee <seth.forshee@canonical.com>  Wed, 28 Oct 2015 11:36:05 -0500

linux-firmware (1.127.16) trusty; urgency=medium

  * Update i915 Skylake firmware to upstream versions
    linux-firmware: New minor DMC release for Skylake - ver1_20
    linux-firmware: New minor DMC release for Skylake - ver1_21
    linux-firmware: Clean up i915 by removing old skl dmc firmware.
    -LP: #1497070

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 24 Sep 2015 08:22:38 -0500

linux-firmware (1.127.15) trusty; urgency=medium

  * Backport Intel 8260 Wifi/BT firmware, satisfied by the following
    upstream commits:
    iwlwifi: add new -13 firmware for iwlmvm devices
    linux-firmware: Add firmware file for Intel Bluetooth 8260
    - LP: #1476900

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 03 Aug 2015 08:05:32 -0500



## linux-firmware 1.127.23

=== debian/changelog ===
linux-firmware (1.127.23) trusty; urgency=medium

  * Trigger update-initramfs following linux-firmware install (LP: #1646197)
    - UBUNTU: Add postinst script to update initrds

  * Add i915/skl_guc_ver6.bin to linux-firmware in Trusty (LP: #1642709)
    - linux-firmware/i915: Major GuC release for Skylake - ver 6.1

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 01 Dec 2016 15:36:41 -0600

## linux-firmware 1.127.24

=== fw_source/Makefile ===
export firmware_dir := $(shell pwd)/..

SUBDIRS = echoaudio

build:
	for dir in $(SUBDIRS) ; do ( cd $$dir ; $(MAKE) all ) ; done

install:
	for dir in $(SUBDIRS) ; do ( cd $$dir ; $(MAKE) install ) ; done

clean:
	for dir in $(SUBDIRS) ; do ( cd $$dir ; $(MAKE) clean ) ; done

update: build install clean

=== debian/changelog ===
linux-firmware (1.127.24) trusty; urgency=medium

  * CVE-2017-13080 and CVE-2017-13081 (LP: #1728762)
    - iwlwifi: update firmwares for 3160, 3168, 7260, 7265 and 7265D

 -- Seth Forshee <seth.forshee@canonical.com>  Thu, 16 Nov 2017 10:54:46 -0600

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Architecture: all
 Multi-Arch: foreign
 Priority: optional
-Provides: atmel-firmware, amd64-microcode
-Conflicts: atmel-firmware, amd64-microcode
-Replaces: atmel-firmware, linux-restricted-common, amd64-microcode
+Provides: atmel-firmware
+Conflicts: atmel-firmware
+Replaces: atmel-firmware, linux-restricted-common
 Description: Firmware for Linux kernel drivers
  This package provides firmware used by Linux kernel drivers.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for Ubuntu linux-firmware
#
# Use this however you want, just give credit where credit is due.
#
# Copyright (c) 2008 Ben Collins <bcollins@ubuntu.com>
#
#

# This is the debhelper compatability version to use.
export DH_COMPAT=5
export LC_ALL=C
export SHELL=/bin/bash -e

#
# A list of the directories created by makefiles under fw_source.
#
GENERATED_DIRS=ea

binary-arch:

build-arch:
	$(MAKE) -C fw_source update

build-indep:

firm_dir = $(CURDIR)/debian/linux-firmware/lib/firmware
doc_dir = $(CURDIR)/debian/linux-firmware/usr/share/doc/linux-firmware
license_dir = $(doc_dir)/licenses
nic_firm_dir = $(CURDIR)/debian/nic-firmware/lib/firmware
scsi_firm_dir = $(CURDIR)/debian/scsi-firmware/lib/firmware

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k -i

	install -d $(firm_dir)

	rsync -a --exclude=WHENCE --exclude=.git --exclude=debian --exclude fw_source * $(firm_dir)
	find $(firm_dir) -type f -name "LICEN[CS]E*" |xargs rm

	for f in $$(cat debian/nic-firmware.lst); do \
		install -m644 -D $$f $(nic_firm_dir)/$$f; \
	done

	for f in $$(cat debian/scsi-firmware.lst); do \
		install -m644 -D $$f $(scsi_firm_dir)/$$f; \
	done

	install -d $(doc_dir)
	cp WHENCE $(doc_dir)/README

	install -d $(license_dir)
	cp LICEN[CS]E* $(license_dir)

binary-indep: install-indep
	dh_testdir
	dh_testroot

	dh_installchangelogs -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep binary-arch
build: build-arch build-indep

clean:
	rm -rf $(GENERATED_DIRS)
	dh_testdir
	dh_testroot
	dh_clean

## linux-firmware 1.138

=== debian/changelog ===
linux-firmware (1.138) utopic; urgency=medium

  * Add bnx2x firmware to the NIC firmware udeb to support net booting as described
    by the kernel MODULE_FIRMWARE statements:
     debian.master/abi/3.16.0-23.31/fwinfo:firmware:       bnx2x/bnx2x-e1-7.8.19.0.fw
     debian.master/abi/3.16.0-23.31/fwinfo:firmware:       bnx2x/bnx2x-e1h-7.8.19.0.fw
     debian.master/abi/3.16.0-23.31/fwinfo:firmware:       bnx2x/bnx2x-e2-7.8.19.0.fw
    -LP: #1378491

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 22 Oct 2014 09:08:00 -0400

linux-firmware (1.137) utopic; urgency=medium

  * Restore cxgb3/t3fw-7.12.0.bin which was accidentally dropped
    when grooming for obsolete firmware.
    -LP: #1382710

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 21 Oct 2014 14:41:52 -0400

linux-firmware (1.136) utopic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 0e5f63771d0df6d7859f7c4100a74d737c62ac88 
    Fix upstream mis-commit:
      Revert "linux-firmware: Add firmware patch for Intel Bluetooth 7265 ROM-spin(D0)"
      linux-firmware: Add firmware patch for Intel Bluetooth 7265 ROM-spin(D0)

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 14 Oct 2014 15:03:42 +0200

linux-firmware (1.135) utopic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 935b5557b1485d839748b40f5721539b54d429e1
    linux-firmware: Add firmware patch for Intel Bluetooth 7265 ROM-spin(D0)
    rtl_nic: add firmware for RTL8168H and RTL8107E

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 08 Oct 2014 07:27:14 +0100

linux-firmware (1.134) utopic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git f66291398181d24856fd2d19454d246199abd5ea
    Update firmware for rtl8821ae
    Update firmware for rtl8192de
    Update firmware for rtl8723be
    Update firmware for rtl8192ce
    iwlwifi: update firmware for 3160 / 7260 / 7265 

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 15 Sep 2014 07:51:33 -0600

linux-firmware (1.133) utopic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 365e80cce17e033cc612ac6b3f74a28c2753f184
    radeon: add new firmware for the UVD block on older asics
    radeon: add updated firmware for radeon GPUs
    linux-firmware: add firmware v3.25.0.0 for ITEtech IT9135 DVB-T USB dr
    xc4000: add firmware for Xceive xc4000 tuner driver
    xc5000: Add firmware for xc5000c variant
    as102: add firmware for Abilis Systems Single DVB-T Receiver
    Move metadata for intel/fw_sst_0f28.bin-48kHz_i2s_master into WHENCE
    bnx2x: Add FW 7.10.51
    cxgb4: Update firmware to revision 1.11.27.0
    linux-firmware: Add Intel BT firmware for 3160
    xhci-rcar: add firmware for R-Car H2/M2 USB 3.0 host controller
    linux-firmware: Update firmware patch for Intel BT 7265
    linux-firmware: Update firmware patch for Intel BT 7260
    fw_sst_0f28: Add firmware for Intel Baytrail SST DSP
    firmware: qat: QAT_dh895 - Removed unnecessary dma read.
    wl18xx: add version 4 of the wl18xx firmware
    qla2xxx: Update ql2{4,5}00_fw.bin to version 7.03.00
    Move the s5p-mfc firmware out of its subdirectory
  * linux-firmware: Updated firmware patch for Intel Bluetooth 7265
    -LP: #1188096

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 29 Aug 2014 06:43:21 -0600

linux-firmware (1.132) utopic; urgency=medium

  * Remove amd64-microcode for licensing reasons.
    The amd64 microcode is not suitable for packaging in main since
    the license does not allow modification or disassembly. Install
    the multiverse package amd64-microcode instead which also contains
    initramfs hooks.
    -LP: #1181145

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 25 Jun 2014 08:11:00 -0600

linux-firmware (1.131) utopic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git a4f3bc03f1e7b1f25cc52328981c2a35871e55a1
    README: Update the submission address to linux-firmware@kernel.org
    firmware: Added fw for qat_dh895xxcc hw crypto accelerator
    s5p-mfc: Adding MFC v7 and v8 firmwares
    s5p-mfc: Add s5p-mfc-v6-v2 firmware
    radeon: add firmware for Mullins/Beema GPUs
    radeon: add mc2 firmware for SI/CI GPUs
    rtlwifi: rtl8723be: Add firmware
    brcm: add firmware for BCM4354 2x2 11ac SDIO device
    brcm: add firmware for BCM43143 2.4G 11n SDIO device
    brcm: add firmware for BCM43143 2.4G 11n USB device
    firmware: update Intel Bluetooth device firmware patch files

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 09 Jun 2014 06:41:24 -0600

linux-firmware (1.130) utopic; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git 4a050f5524a09c35192273e3a5d741f63e7bf7d6
    radeon: add vce ucode for CIK GPUs
    linux-firmware: Add firmware patch file for Intel Bluetooth 7260 ROM-spin
    linux-firmware: Add firmware patch file for Intel Bluetooth Device (7265)
    linux-firmware: Update Intel BT devices firmware patch files (7260/3160)
    Adding RSI 91x firmware.
    iwlwifi: update firmware for 3160 / 7260 / 7265
    iwlwifi: add new firmware for 3160 / 7260 / 7265
    iwlwifi: add firmware for 7265

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 28 May 2014 08:50:08 +0200

linux-firmware (1.129) utopic; urgency=low

  [ Emmanuel Grumbach ]

  * iwlwifi: add new firmware for 3160 / 7260 / 7265
    cherry picked from git://git.kernel.org/pub/scm/linux/kernel/git/egrumbach/linux-firmware.git
    Add a new firmware for 3160, 7260 and 7265.  This firmware has new APIs and
    hence the file name changes.  Version number: 22.212.9.0
    -LP: #1265436
  * iwlwifi: add firmware for 7265
    cherry picked from git://git.kernel.org/pub/scm/linux/kernel/git/egrumbach/linux-firmware.git
    Add new firmware for a new device: 7265 version: 22.24.8.0
    -LP: #1265436



## linux-firmware 1.138.1

=== debian/changelog ===
linux-firmware (1.138.1) utopic; urgency=medium

  * iwlwifi: update firmware for 3160 / 7260 / 7265
    -LP: #1398171

 -- Seth Forshee <seth.forshee@canonical.com>  Mon, 01 Dec 2014 10:28:25 -0600
